import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/dandgerson/2841e9b30f3a7c2c9da7bb4d06ecc3fc/raw/af20862430cf8eb0c4716672e4857001412d8380/week_temperatature.csv';

export const useData = () => {
  
  const [data, setData] = useState(null);

  useEffect(() => {
     const row = d=> {
       d.temperature = +d.temperature;
       d.timestamp = new Date(d.timestamp);
        return d;
      }
    csv(csvUrl,row).then((data) => {
      console.log("fetch");
     

      setData(data);
    });
  }, []);
  
 	return data; 
}